MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/song_save.h File Reference

`#include <glib.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Defines
#define | SONG_BEGIN "song_begin: "
## Functions
void | song_save (FILE *fp, const struct song *song)
void | songvec_save (FILE *fp, const struct songvec *sv)
struct song * | song_load (FILE *fp, struct directory *parent, const char *uri, GString *buffer, GError **error_r)
| Loads a song from the input file.

## Define Documentation

#define SONG_BEGIN "song_begin: "

Definition at line 27 of file song_save.h.

## Function Documentation

struct song* song_load | ( | FILE * | fp,
|  | struct directory * | parent,
|  | const char * | uri,
|  | GString * | buffer,
|  | GError ** | error_r
| ) |  | `[read]`

Loads a song from the input file.

Reading stops after the "song_end" line.

Parameters:

  error_r | location to store the error occuring, or NULL to ignore errors

Returns:
  true on success, false on error

void song_save | ( | FILE * | fp,
|  | const struct song * | song
| ) |  |

void songvec_save | ( | FILE * | fp,
|  | const struct songvec * | sv
| ) |  |